none
FIM 2010 with wss3.0 to FIM 2010 R2 SP1 with Sharepoint 2010 Foundation RRS feed

  • Question

  • Hi,

    In my DEV environment, I have all the FIM components running on the same box:

    FIM Portal, Service, and Sync Service version 4.0.3573.2

    WSS 3.0 version 12.0.0.6421

    We want to upgrade to FIM 2010 R2 SP1 with Sharepoint Foundation 2010

    This is what I have done so far (I appreciate I could have done an in-place upgrade of WSS3.0 to Sharepoint 2010, but I think I followed the instructions on some forum to do this:

    a) Uninstalled FIM Portal (which also uninstalled the FIM service)

    b) Uninstalled WSS3.0

    I have done the 2 steps listed above. As per the instructions on another thread, the next steps should be:

    c) Install Sharepoint Foundation 2010

    d) Install FIM Portal 2010 R2 SP1

    Is this the right way to proceed? Unfortunately, we don't have a snapshot to revert to (we had tried to take a snapshot, but looks like it wasn't successful - thankfully it's just the dev environment).

    Any tips/suggestions?

    Thanks a lot


    Tuesday, January 14, 2014 2:28 PM

All replies

  • Hi VidT,

    Yes you are correct the next steps are to install Sharepoint Founrdation and then the FIM Portal.  Just also be aware that you need to install a number of pre-requisites for Sharepoint Foundation which is much easier if your FIM box has internet access, otherwise you need to download and install them all manually.

    Out of interest is there any reason though as to why you aren't going with Sharepoint 2013 Foundation?  I'd recommend using it if you can as its newer and likely to be better supported than 2010 Foundation (mainstream support for Foundation 2010 ends next year where as 2013 ends in 2018 for instance).

    Andrew

    Wednesday, January 15, 2014 5:38 AM
  • Hi Andrew,

    Thanks for getting back. The decision to use Sharepoint 2010 is more an organisation standard one - right now our Windows support team only uses/supports WSS3.0 or Sharepoint 2010.

    Anyway, I ended up completing the upgrade. Everything seemed to have gone fine, however, on the FIM Portal, when I click on "About Forefront Identity Manager", I see Version 4.1.3114.0 - which is the version for R2, however, it still says "Microsoft Forefront Identity Manager 2010" in the logo. (see attachment)

    On the other hand, in FIM sync manager, it shows Microsoft Forefront Identity Manager 2010 R2 after the upgrade.

    Is this expected for the portal after an upgrade?

    Tuesday, January 21, 2014 4:04 PM
  • VidT,

    This is the expected version (it still says FIM 2010 but it is R2 SP1).  HOWEVER...  This version you have installed is a deprecated version no longer available.  I highly recommend upgrading to the latest version which includes a number of fixes for issues discovered following the release of 4.1.3114.0.  The full install of FIM 2010 R2 SP1 has been replaced with 4.1.3419.0.

    The easiest way to get off that version is to upgrade to the latest build, 4.1.3496.0, which can be found here.

    Cheers,

    Andrew

    Monday, January 27, 2014 3:42 AM